Webhook user events (deprecated)
curl --request GET \
--url https://api.rhino.fi/webhook/user-events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rhino.fi/webhook/user-events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rhino.fi/webhook/user-events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalItems": 123,
"items": [
{
"_id": "<string>",
"userId": "<string>",
"chainIn": "<string>",
"chainOut": "<string>",
"amountIn": "<string>",
"amountInUsd": 123,
"amountOut": "<string>",
"amountOutUsd": 123,
"amountNative": "<string>",
"amountNativeUsd": 123,
"fee": "<string>",
"feeUsd": 123,
"gasFee": "<string>",
"gasFeeUsd": 123,
"platformFee": "<string>",
"platformFeeUsd": 123,
"percentageFee": "<string>",
"percentageFeeUsd": 123,
"sourceGasFee": "<string>",
"sourceGasFeeUsd": 123,
"sponsoredFees": {
"fee": "<string>",
"feeUsd": 123,
"gasFee": "<string>",
"gasFeeUsd": 123,
"platformFee": "<string>",
"platformFeeUsd": 123,
"percentageFee": "<string>",
"percentageFeeUsd": 123,
"sourceGasFee": "<string>",
"sourceGasFeeUsd": 123
},
"recipient": "<string>",
"depositor": "<string>",
"createdAt": "<string>",
"commitmentDate": "<string>",
"token": "<string>",
"usdPrice": 123,
"_tag": "BRIDGE_PENDING",
"type": "bridge",
"estimatedDuration": 1,
"postBridgeData": {
"_tag": "extended",
"vaultId": 1
}
}
]
}{
"issues": [
{
"path": [
"<string>"
],
"message": "<string>"
}
],
"message": "<string>",
"_tag": "HttpApiDecodeError"
}{
"message": "<string>",
"_tag": "Unauthorized"
}user-events
Webhook user events (deprecated)
deprecated
Will be removed in the future, please use /user-events-cursor instead.
GET
/
user-events
Webhook user events (deprecated)
Authorizations
bearerlegacyApiKey
JWT token for authentication
Query Parameters
a string to be decoded into a number
a string to be decoded into a number
a string to be decoded into a number
⌘I